SYSTEMD-PATH(1)

NAME
systemd-path - List and query system and user paths

SYNOPSIS

systemd-path [OPTIONS...] [NAME...]

DESCRIPTION

systemd-path may be used to query system and user paths. The tool makes many of the paths described in file-hierarchy(7) available for querying.

When invoked without arguments, a list of known paths and their current values is shown. When at least one argument is passed, the path with this name is queried and its value shown. The variables whose name begins with "search-" do not refer to individual paths, but instead to a list of colon-separated search paths, in their order of precedence.

Note that paths which depend on environment variables are computed with systemd-path's invoked environment, and not the system or user manager's environment. As such, the output of systemd-path may not reflect the behavior of manager processes.

OPTIONS

The following options are understood:

--suffix=
    Printed paths are suffixed by the specified string.

    Added in version 215.

--no-pager
    Do not pipe output into a pager.

-h, --help
    Print a short help text and exit.

--version
    Print a short version string and exit.

EXIT STATUS

On success, 0 is returned, a non-zero failure code otherwise.

SEE ALSO

systemd(1), file-hierarchy(7)